Wondering what’s next for npm?Check out our public roadmap! »

    This package has been deprecated

    Author message:

    InlineDropdown has been deprecated in favor of a more generic dropdown with inline capability

    @lendi-ui/inline-dropdown
    TypeScript icon, indicating that this package has built-in type declarations

    1.3.2 • Public • Published

    @lendi-ui/inline-dropdown

    A component.

    Installation

    yarn add @lendi-ui/inline-dropdown
    

    Usage

    import InlineDropdown from '@lendi-ui/inline-dropdown';
    (items = [
      {
        value: '1',
        label: '5 years',
      },
      {
        value: '2',
        label: '10 years',
      },
      {
        value: '3',
        label: '15 years',
      },
      {
        value: '4',
        label: '20 years',
      },
      {
        value: '5',
        label: '25 years',
      },
    ]),
      <InlineDropdown size="md" items={items} />;

    Properties

    <PropTable>
      <PropTable.Entry name="size" type={'"lg" | "md" | "sm"'} defaultValue="md" description="the inline-dropdown size"/>
      <PropTable.Entry name="items*" type="[{value: string, label: string}]" description="an object array with 'value' and 'label' that display in this component"/>
    </PropTable>
    

    Keywords

    none

    Install

    npm i @lendi-ui/inline-dropdown

    DownloadsWeekly Downloads

    2

    Version

    1.3.2

    License

    ISC

    Unpacked Size

    12.3 kB

    Total Files

    9

    Last publish

    Collaborators

    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar
    • avatar